Bug 255520 - Digikam crashed while assigning tags to pictures
Summary: Digikam crashed while assigning tags to pictures
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Unclassified
Component: Faces-Detection (show other bugs)
Version: 2.0.0
Platform: openSUSE RPMs Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-10-28 18:09 UTC by S. Burmeister
Modified: 2017-12-16 11:10 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 5.8.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description S. Burmeister 2010-10-28 18:09:59 UTC
Application: digikam (2.0.0-GSoC2010 (rev.: 1188100))
KDE Platform Version: 4.5.2 (KDE 4.5.2) "release 10"
Qt Version: 4.6.3
Operating System: Linux 2.6.34.7-0.5-desktop x86_64
Distribution: "openSUSE 11.3 (x86_64)"

-- Information about the crash:
- What I was doing when the application crashed:

Digikam had found some faces and I entered a tag for the name of a person. That name stays in the linedit where "Who is this?" was before, so I continued to hover pictures with that person on it and clicked the "ok button" for those pictures that showed that person and the reject button for those pictures that did not show any face. After some dozen images digikam just crashed.

-- Backtrace:
Application: digiKam (digikam), signal: Segmentation fault
[Current thread is 1 (Thread 0x7f8eaaafc9a0 (LWP 12719))]

Thread 16 (Thread 0x7f8e8b9d8710 (LWP 12720)):
#0  0x00007f8ea3a0f39c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f8ea3c992bb in wait (this=<value optimized out>, mutex=0xd567b0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:87
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0xd567b0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:159
#3  0x00000000006d7e8e in Digikam::ScanController::run (this=0xdcb290) at /home/kde-branch/kde/src/digikam2/digikam/scancontroller.cpp:515
#4  0x00007f8ea3c98bf5 in QThreadPrivate::start (arg=0xdcb290) at thread/qthread_unix.cpp:248
#5  0x00007f8ea3a0aa4f in start_thread () from /lib64/libpthread.so.0
#6  0x00007f8ea1ebf82d in clone () from /lib64/libc.so.6
#7  0x0000000000000000 in ?? ()

Thread 15 (Thread 0x7f8e8b1d7710 (LWP 12723)):
#0  0x00007fffa5fff851 in clock_gettime ()
#1  0x00007f8e9a2dd2a3 in clock_gettime (clock_id=1, tp=0x7f8e8b1d6910) at ../sysdeps/unix/clock_gettime.c:100
#2  0x00007f8ea3da55ff in qt_gettime () at kernel/qcore_unix.cpp:111
#3  0x00007f8ea3da8f4d in QTimerInfoList::updateCurrentTime (this=0xe11010) at kernel/qeventdispatcher_unix.cpp:340
#4  0x00007f8ea3da92d5 in QTimerInfoList::timerWait (this=0xe11010, tm=...) at kernel/qeventdispatcher_unix.cpp:443
#5  0x00007f8ea3da7f0c in timerSourcePrepareHelper (src=<value optimized out>, timeout=0x7f8e8b1d6a2c) at kernel/qeventdispatcher_glib.cpp:136
#6  0x00007f8ea3da7fb5 in timerSourcePrepare (source=<value optimized out>, timeout=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:169
#7  0x00007f8e9cbd5f7f in IA__g_main_context_prepare (context=0xe10ed0, priority=0x7f8e8b1d6a9c) at gmain.c:2280
#8  0x00007f8e9cbd6e69 in g_main_context_iterate (context=0xe10ed0, block=1, dispatch=1, self=<value optimized out>) at gmain.c:2571
#9  0x00007f8e9cbd7510 in IA__g_main_context_iteration (context=0xe10ed0, may_block=1) at gmain.c:2654
#10 0x00007f8ea3da86d6 in QEventDispatcherGlib::processEvents (this=0xdfe700, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:414
#11 0x00007f8ea3d7f292 in QEventLoop::processEvents (this=<value optimized out>, flags=...) at kernel/qeventloop.cpp:149
#12 0x00007f8ea3d7f495 in QEventLoop::exec (this=0x7f8e8b1d6bc0, flags=...) at kernel/qeventloop.cpp:201
#13 0x00007f8ea3c962cf in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:487
#14 0x00007f8ea6bee220 in Digikam::ImageFilterModelWorker::Thread::run (this=0xe92de0) at /home/kde-branch/kde/build/digikam2/digikam/../../../src/digikam2/libs/models/imagefiltermodelthreads.h:66
#15 0x00007f8ea3c98bf5 in QThreadPrivate::start (arg=0xe92de0) at thread/qthread_unix.cpp:248
#16 0x00007f8ea3a0aa4f in start_thread () from /lib64/libpthread.so.0
#17 0x00007f8ea1ebf82d in clone () from /lib64/libc.so.6
#18 0x0000000000000000 in ?? ()

Thread 14 (Thread 0x7f8e8a7c9710 (LWP 12724)):
#0  0x00007fffa5fff851 in clock_gettime ()
#1  0x00007f8e9a2dd2a3 in clock_gettime (clock_id=1, tp=0x7f8e8a7c8910) at ../sysdeps/unix/clock_gettime.c:100
#2  0x00007f8ea3da55ff in qt_gettime () at kernel/qcore_unix.cpp:111
#3  0x00007f8ea3da8f4d in QTimerInfoList::updateCurrentTime (this=0xea5120) at kernel/qeventdispatcher_unix.cpp:340
#4  0x00007f8ea3da92d5 in QTimerInfoList::timerWait (this=0xea5120, tm=...) at kernel/qeventdispatcher_unix.cpp:443
#5  0x00007f8ea3da7f0c in timerSourcePrepareHelper (src=<value optimized out>, timeout=0x7f8e8a7c8a2c) at kernel/qeventdispatcher_glib.cpp:136
#6  0x00007f8ea3da7fb5 in timerSourcePrepare (source=<value optimized out>, timeout=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:169
#7  0x00007f8e9cbd5f7f in IA__g_main_context_prepare (context=0xe2fd10, priority=0x7f8e8a7c8a9c) at gmain.c:2280
#8  0x00007f8e9cbd6e69 in g_main_context_iterate (context=0xe2fd10, block=1, dispatch=1, self=<value optimized out>) at gmain.c:2571
#9  0x00007f8e9cbd7510 in IA__g_main_context_iteration (context=0xe2fd10, may_block=1) at gmain.c:2654
#10 0x00007f8ea3da86d6 in QEventDispatcherGlib::processEvents (this=0xe07390, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:414
#11 0x00007f8ea3d7f292 in QEventLoop::processEvents (this=<value optimized out>, flags=...) at kernel/qeventloop.cpp:149
#12 0x00007f8ea3d7f495 in QEventLoop::exec (this=0x7f8e8a7c8bc0, flags=...) at kernel/qeventloop.cpp:201
#13 0x00007f8ea3c962cf in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:487
#14 0x00007f8ea6bee220 in Digikam::ImageFilterModelWorker::Thread::run (this=0xea3120) at /home/kde-branch/kde/build/digikam2/digikam/../../../src/digikam2/libs/models/imagefiltermodelthreads.h:66
#15 0x00007f8ea3c98bf5 in QThreadPrivate::start (arg=0xea3120) at thread/qthread_unix.cpp:248
#16 0x00007f8ea3a0aa4f in start_thread () from /lib64/libpthread.so.0
#17 0x00007f8ea1ebf82d in clone () from /lib64/libc.so.6
#18 0x0000000000000000 in ?? ()

Thread 13 (Thread 0x7f8e89e59710 (LWP 12725)):
#0  0x00007f8ea3a0f39c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f8ea3c992bb in wait (this=<value optimized out>, mutex=0xe5b858, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:87
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0xe5b858, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:159
#3  0x00007f8ea71efe9b in Digikam::ParkingThread::run (this=0xe5b840) at /home/kde-branch/kde/src/digikam2/libs/threads/threadmanager.cpp:112
#4  0x00007f8ea3c98bf5 in QThreadPrivate::start (arg=0xe5b840) at thread/qthread_unix.cpp:248
#5  0x00007f8ea3a0aa4f in start_thread () from /lib64/libpthread.so.0
#6  0x00007f8ea1ebf82d in clone () from /lib64/libc.so.6
#7  0x0000000000000000 in ?? ()

Thread 12 (Thread 0x7f8e7d16e710 (LWP 12728)):
#0  0x00007f8ea3a0f709 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f8e97620951 in metronom_sync_loop () from /usr/lib64/libxine.so.1
#2  0x00007f8ea3a0aa4f in start_thread () from /lib64/libpthread.so.0
#3  0x00007f8ea1ebf82d in clone () from /lib64/libc.so.6
#4  0x0000000000000000 in ?? ()

Thread 11 (Thread 0x7f8e7bd31710 (LWP 12729)):
#0  0x00007f8ea3a0f709 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f8e9762e98f in video_out_loop () from /usr/lib64/libxine.so.1
#2  0x00007f8ea3a0aa4f in start_thread () from /lib64/libpthread.so.0
#3  0x00007f8ea1ebf82d in clone () from /lib64/libc.so.6
#4  0x0000000000000000 in ?? ()

Thread 10 (Thread 0x7f8e7b530710 (LWP 12730)):
#0  0x00007f8e9a4e43e7 in g_private_get_posix_impl (private_key=<value optimized out>) at gthread-posix.c:290
#1  0x00007f8e9cbff0a9 in IA__g_thread_self () at gthread.c:2109
#2  0x00007f8e9cbd74fd in IA__g_main_context_iteration (context=0x153a230, may_block=1) at gmain.c:2654
#3  0x00007f8ea3da86d6 in QEventDispatcherGlib::processEvents (this=0x153a140, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:414
#4  0x00007f8ea3d7f292 in QEventLoop::processEvents (this=<value optimized out>, flags=...) at kernel/qeventloop.cpp:149
#5  0x00007f8ea3d7f495 in QEventLoop::exec (this=0x7f8e7b52fb90, flags=...) at kernel/qeventloop.cpp:201
#6  0x00007f8ea3c962cf in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:487
#7  0x00007f8e82e493b4 in ?? () from /usr/lib64/kde4/plugins/phonon_backend/phonon_xine.so
#8  0x00007f8ea3c98bf5 in QThreadPrivate::start (arg=0x1539b00) at thread/qthread_unix.cpp:248
#9  0x00007f8ea3a0aa4f in start_thread () from /lib64/libpthread.so.0
#10 0x00007f8ea1ebf82d in clone () from /lib64/libc.so.6
#11 0x0000000000000000 in ?? ()

Thread 9 (Thread 0x7f8e7ab25710 (LWP 12733)):
#0  0x00007f8ea1eb66b3 in poll () from /lib64/libc.so.6
#1  0x00007f8e7ab2a9d7 in ao_alsa_handle_event_thread () from /usr/lib64/xine/plugins/1.29/xineplug_ao_out_alsa.so
#2  0x00007f8ea3a0aa4f in start_thread () from /lib64/libpthread.so.0
#3  0x00007f8ea1ebf82d in clone () from /lib64/libc.so.6
#4  0x0000000000000000 in ?? ()

Thread 8 (Thread 0x7f8e7a324710 (LWP 12734)):
#0  0x00007f8ea3a0f39c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f8e9763296b in ao_loop () from /usr/lib64/libxine.so.1
#2  0x00007f8ea3a0aa4f in start_thread () from /lib64/libpthread.so.0
#3  0x00007f8ea1ebf82d in clone () from /lib64/libc.so.6
#4  0x0000000000000000 in ?? ()

Thread 7 (Thread 0x7f8e79b23710 (LWP 12735)):
#0  0x00007f8ea1eb66b3 in poll () from /lib64/libc.so.6
#1  0x00007f8e9cbd6fd4 in g_main_context_poll (context=0x173f240, block=1, dispatch=1, self=<value optimized out>) at gmain.c:2904
#2  g_main_context_iterate (context=0x173f240, block=1, dispatch=1, self=<value optimized out>) at gmain.c:2586
#3  0x00007f8e9cbd7510 in IA__g_main_context_iteration (context=0x173f240, may_block=1) at gmain.c:2654
#4  0x00007f8ea3da86d6 in QEventDispatcherGlib::processEvents (this=0x173faf0, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:414
#5  0x00007f8ea3d7f292 in QEventLoop::processEvents (this=<value optimized out>, flags=...) at kernel/qeventloop.cpp:149
#6  0x00007f8ea3d7f495 in QEventLoop::exec (this=0x7f8e79b22ba0, flags=...) at kernel/qeventloop.cpp:201
#7  0x00007f8ea3c962cf in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:487
#8  0x00007f8ea3d61458 in QInotifyFileSystemWatcherEngine::run (this=0x1742240) at io/qfilesystemwatcher_inotify.cpp:248
#9  0x00007f8ea3c98bf5 in QThreadPrivate::start (arg=0x1742240) at thread/qthread_unix.cpp:248
#10 0x00007f8ea3a0aa4f in start_thread () from /lib64/libpthread.so.0
#11 0x00007f8ea1ebf82d in clone () from /lib64/libc.so.6
#12 0x0000000000000000 in ?? ()

Thread 6 (Thread 0x7f8e771f9710 (LWP 12743)):
#0  0x00007f8e9cbd65ca in next_valid_source (context=0x1eeabf0, max_priority=2147483647, fds=<value optimized out>, n_fds=<value optimized out>) at gmain.c:2002
#1  IA__g_main_context_check (context=0x1eeabf0, max_priority=2147483647, fds=<value optimized out>, n_fds=<value optimized out>) at gmain.c:2492
#2  0x00007f8e9cbd6ff2 in g_main_context_iterate (context=0x1eeabf0, block=1, dispatch=1, self=<value optimized out>) at gmain.c:2588
#3  0x00007f8e9cbd7510 in IA__g_main_context_iteration (context=0x1eeabf0, may_block=1) at gmain.c:2654
#4  0x00007f8ea3da86d6 in QEventDispatcherGlib::processEvents (this=0x1ee9c50, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:414
#5  0x00007f8ea3d7f292 in QEventLoop::processEvents (this=<value optimized out>, flags=...) at kernel/qeventloop.cpp:149
#6  0x00007f8ea3d7f495 in QEventLoop::exec (this=0x7f8e771f8ba0, flags=...) at kernel/qeventloop.cpp:201
#7  0x00007f8ea3c962cf in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:487
#8  0x00007f8ea3d61458 in QInotifyFileSystemWatcherEngine::run (this=0x1ee8de0) at io/qfilesystemwatcher_inotify.cpp:248
#9  0x00007f8ea3c98bf5 in QThreadPrivate::start (arg=0x1ee8de0) at thread/qthread_unix.cpp:248
#10 0x00007f8ea3a0aa4f in start_thread () from /lib64/libpthread.so.0
#11 0x00007f8ea1ebf82d in clone () from /lib64/libc.so.6
#12 0x0000000000000000 in ?? ()

Thread 5 (Thread 0x7f8e749f4710 (LWP 12750)):
#0  0x00007f8ea3a0e68e in __pthread_mutex_unlock_usercnt () from /lib64/libpthread.so.0
#1  0x00007f8e9cbd5f72 in IA__g_main_context_prepare (context=0x7f8e70cc5960, priority=0x7f8e749f3a7c) at gmain.c:2278
#2  0x00007f8e9cbd6e69 in g_main_context_iterate (context=0x7f8e70cc5960, block=1, dispatch=1, self=<value optimized out>) at gmain.c:2571
#3  0x00007f8e9cbd7510 in IA__g_main_context_iteration (context=0x7f8e70cc5960, may_block=1) at gmain.c:2654
#4  0x00007f8ea3da86d6 in QEventDispatcherGlib::processEvents (this=0x24a7b90, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:414
#5  0x00007f8ea3d7f292 in QEventLoop::processEvents (this=<value optimized out>, flags=...) at kernel/qeventloop.cpp:149
#6  0x00007f8ea3d7f495 in QEventLoop::exec (this=0x7f8e749f3ba0, flags=...) at kernel/qeventloop.cpp:201
#7  0x00007f8ea3c962cf in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:487
#8  0x00007f8ea3d61458 in QInotifyFileSystemWatcherEngine::run (this=0x24a6d20) at io/qfilesystemwatcher_inotify.cpp:248
#9  0x00007f8ea3c98bf5 in QThreadPrivate::start (arg=0x24a6d20) at thread/qthread_unix.cpp:248
#10 0x00007f8ea3a0aa4f in start_thread () from /lib64/libpthread.so.0
#11 0x00007f8ea1ebf82d in clone () from /lib64/libc.so.6
#12 0x0000000000000000 in ?? ()

Thread 4 (Thread 0x7f8e6effd710 (LWP 12922)):
#0  0x00007f8e9cbd5fae in IA__g_main_context_prepare (context=0xa153280, priority=0x7f8e6effca6c) at gmain.c:2282
#1  0x00007f8e9cbd6e69 in g_main_context_iterate (context=0xa153280, block=1, dispatch=1, self=<value optimized out>) at gmain.c:2571
#2  0x00007f8e9cbd7510 in IA__g_main_context_iteration (context=0xa153280, may_block=1) at gmain.c:2654
#3  0x00007f8ea3da86d6 in QEventDispatcherGlib::processEvents (this=0xa231000, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:414
#4  0x00007f8ea3d7f292 in QEventLoop::processEvents (this=<value optimized out>, flags=...) at kernel/qeventloop.cpp:149
#5  0x00007f8ea3d7f495 in QEventLoop::exec (this=0x7f8e6effcba0, flags=...) at kernel/qeventloop.cpp:201
#6  0x00007f8ea71ef3e3 in Digikam::WorkerObjectRunnable::run (this=0x87624b0) at /home/kde-branch/kde/src/digikam2/libs/threads/threadmanager.cpp:180
#7  0x00007f8ea3c8f035 in QThreadPoolThread::run (this=0x68775f0) at concurrent/qthreadpool.cpp:106
#8  0x00007f8ea3c98bf5 in QThreadPrivate::start (arg=0x68775f0) at thread/qthread_unix.cpp:248
#9  0x00007f8ea3a0aa4f in start_thread () from /lib64/libpthread.so.0
#10 0x00007f8ea1ebf82d in clone () from /lib64/libc.so.6
#11 0x0000000000000000 in ?? ()

Thread 3 (Thread 0x7f8e5bfff710 (LWP 12932)):
#0  g_private_get_posix_impl (private_key=0xb640f0) at gthread-posix.c:287
#1  0x00007f8e9cbff0a9 in IA__g_thread_self () at gthread.c:2109
#2  0x00007f8e9cbd74fd in IA__g_main_context_iteration (context=0xa3bb850, may_block=1) at gmain.c:2654
#3  0x00007f8ea3da86d6 in QEventDispatcherGlib::processEvents (this=0xa157760, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:414
#4  0x00007f8ea3d7f292 in QEventLoop::processEvents (this=<value optimized out>, flags=...) at kernel/qeventloop.cpp:149
#5  0x00007f8ea3d7f495 in QEventLoop::exec (this=0x7f8e5bffeba0, flags=...) at kernel/qeventloop.cpp:201
#6  0x00007f8ea71ef3e3 in Digikam::WorkerObjectRunnable::run (this=0x7f8e72310cd0) at /home/kde-branch/kde/src/digikam2/libs/threads/threadmanager.cpp:180
#7  0x00007f8ea3c8f035 in QThreadPoolThread::run (this=0xa358b10) at concurrent/qthreadpool.cpp:106
#8  0x00007f8ea3c98bf5 in QThreadPrivate::start (arg=0xa358b10) at thread/qthread_unix.cpp:248
#9  0x00007f8ea3a0aa4f in start_thread () from /lib64/libpthread.so.0
#10 0x00007f8ea1ebf82d in clone () from /lib64/libc.so.6
#11 0x0000000000000000 in ?? ()

Thread 2 (Thread 0x7f8e5affd710 (LWP 12934)):
[KCrash Handler]
#6  0x00007f8e9fddf85a in cvPtr2D () from /usr/lib64/libcxcore.so.2.1
#7  0x00007f8e9fde010a in cvGetRawData () from /usr/lib64/libcxcore.so.2.1
#8  0x00007f8e9efa1343 in cvCalcEigenObjects (nObjects=2, input=0x7f8e8497de50, output=0x7f8e84ef1930, ioFlags=<value optimized out>, ioBufSize=0, userData=0x0, calcLimit=0x7f8e5affbc90, avg=
    0x7f8e84c6b640, eigVals=0x7f8e84b75990) at /usr/src/debug/OpenCV-2.1.0/src/cvaux/cveigenobjects.cpp:1360
#9  0x00007f8ea01871f6 in libface::Eigenfaces::EigenfacesPriv::learn(int, _IplImage*) () from /usr/lib64/libface.so.0
#10 0x00007f8ea0188856 in libface::Eigenfaces::update(std::vector<libface::Face, std::allocator<libface::Face> >&) () from /usr/lib64/libface.so.0
#11 0x00007f8ea018ce40 in libface::LibFace::update(std::vector<libface::Face, std::allocator<libface::Face> >*, int) () from /usr/lib64/libface.so.0
#12 0x00007f8ea7f76c20 in KFaceIface::Database::updateFaces (this=0x1899d60, faces=...) at /home/kde-branch/kde/src/libkface/libkface/database.cpp:227
#13 0x00007f8ea7f810d2 in KFaceIface::RecognitionDatabase::updateFaces (this=0xe64880, faces=...) at /home/kde-branch/kde/src/libkface/libkface/recognitiondatabase.cpp:197
#14 0x0000000000752ca9 in Digikam::Trainer::process (this=0xe64860, package=...) at /home/kde-branch/kde/src/digikam2/utilities/facedetection/facepipeline.cpp:557
#15 0x000000000074f2ac in Digikam::Trainer::qt_metacall (this=0xe64860, _c=QMetaObject::InvokeMetaMethod, _id=1, _a=0x7f8e727eb6b0)
    at /home/kde-branch/kde/build/digikam2/digikam/facepipeline_p.moc:521
#16 0x00007f8ea3d91509 in QObject::event (this=0xe64860, e=0x7f8e70c3e040) at kernel/qobject.cpp:1248
#17 0x00007f8ea71f0eeb in Digikam::WorkerObject::event (this=0xe64860, e=0x7f8e70c3e040) at /home/kde-branch/kde/src/digikam2/libs/threads/workerobject.cpp:118
#18 0x00007f8ea2cde4d4 in QApplicationPrivate::notify_helper (this=0xb63d80, receiver=0xe64860, e=0x7f8e70c3e040) at kernel/qapplication.cpp:4302
#19 0x00007f8ea2ce6aca in QApplication::notify (this=<value optimized out>, receiver=0xe64860, e=0x7f8e70c3e040) at kernel/qapplication.cpp:4185
#20 0x00007f8ea46a57b6 in KApplication::notify (this=0x7fffa5fa6f10, receiver=0xe64860, event=0x7f8e70c3e040) at /usr/src/debug/kdelibs-4.5.2/kdeui/kernel/kapplication.cpp:310
#21 0x00007f8ea3d7fe4c in QCoreApplication::notifyInternal (this=0x7fffa5fa6f10, receiver=0xe64860, event=0x7f8e70c3e040) at kernel/qcoreapplication.cpp:726
#22 0x00007f8ea3d835ba in sendEvent (receiver=0x0, event_type=0, data=0xa3597a0) at kernel/qcoreapplication.h:215
#23 QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, event_type=0, data=0xa3597a0) at kernel/qcoreapplication.cpp:1367
#24 0x00007f8ea3da8173 in sendPostedEvents (s=<value optimized out>) at kernel/qcoreapplication.h:220
#25 postEventSourceDispatch (s=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:276
#26 0x00007f8e9cbd6a93 in g_main_dispatch (context=0x9dd7950) at gmain.c:1960
#27 IA__g_main_context_dispatch (context=0x9dd7950) at gmain.c:2513
#28 0x00007f8e9cbd7270 in g_main_context_iterate (context=0x9dd7950, block=1, dispatch=1, self=<value optimized out>) at gmain.c:2591
#29 0x00007f8e9cbd7510 in IA__g_main_context_iteration (context=0x9dd7950, may_block=1) at gmain.c:2654
#30 0x00007f8ea3da867f in QEventDispatcherGlib::processEvents (this=0x9dd76d0, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:412
#31 0x00007f8ea3d7f292 in QEventLoop::processEvents (this=<value optimized out>, flags=...) at kernel/qeventloop.cpp:149
#32 0x00007f8ea3d7f495 in QEventLoop::exec (this=0x7f8e5affcba0, flags=...) at kernel/qeventloop.cpp:201
#33 0x00007f8ea71ef3e3 in Digikam::WorkerObjectRunnable::run (this=0x8850ff0) at /home/kde-branch/kde/src/digikam2/libs/threads/threadmanager.cpp:180
#34 0x00007f8ea3c8f035 in QThreadPoolThread::run (this=0xa359620) at concurrent/qthreadpool.cpp:106
#35 0x00007f8ea3c98bf5 in QThreadPrivate::start (arg=0xa359620) at thread/qthread_unix.cpp:248
#36 0x00007f8ea3a0aa4f in start_thread () from /lib64/libpthread.so.0
#37 0x00007f8ea1ebf82d in clone () from /lib64/libc.so.6
#38 0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7f8eaaafc9a0 (LWP 12719)):
#0  0x00007f8ea1eb66b3 in poll () from /lib64/libc.so.6
#1  0x00007f8e98cfac0a in ?? () from /usr/lib64/libxcb.so.1
#2  0x00007f8e98cfbdaf in xcb_wait_for_reply () from /usr/lib64/libxcb.so.1
#3  0x00007f8ea0bf3c33 in _XReply () from /usr/lib64/libX11.so.6
#4  0x00007f8ea0be13a0 in XQueryPointer () from /usr/lib64/libX11.so.6
#5  0x00007f8ea2d61b4d in QCursor::pos () at kernel/qcursor_x11.cpp:156
#6  0x00007f8ea2ce0667 in QApplicationPrivate::sendSyntheticEnterLeave (this=<value optimized out>, widget=0x4f04f00) at kernel/qapplication.cpp:3033
#7  0x00007f8ea2d2e3ba in QWidget::setVisible (this=0x4f04f00, visible=<value optimized out>) at kernel/qwidget.cpp:7447
#8  0x00007f8ea2d13669 in show (this=0x4ed2520, index=1) at ../../src/gui/kernel/qwidget.h:485
#9  QStackedLayout::setCurrentIndex (this=0x4ed2520, index=1) at kernel/qstackedlayout.cpp:311
#10 0x00007f8ea7233d99 in Digikam::StatusProgressBar::progressBarMode (this=0x25a08d0, mode=1, text=...) at /home/kde-branch/kde/src/digikam2/libs/widgets/common/statusprogressbar.cpp:158
#11 0x0000000000678721 in Digikam::DigikamApp::slotProgressBarMode (this=0xecadc0, mode=1, text=...) at /home/kde-branch/kde/src/digikam2/digikam/digikamapp.cpp:1497
#12 0x0000000000666f50 in Digikam::DigikamApp::qt_metacall (this=0xecadc0, _c=QMetaObject::InvokeMetaMethod, _id=63, _a=0x7fffa5fa6230)
    at /home/kde-branch/kde/build/digikam2/digikam/digikamapp.moc:263
#13 0x00007f8ea3d93a1f in QMetaObject::activate (sender=0xe7f920, m=<value optimized out>, local_signal_index=<value optimized out>, argv=0x7fffa5fa6230) at kernel/qobject.cpp:3295
#14 0x000000000068bc6a in Digikam::DigikamView::signalProgressBarMode (this=0xe7f920, _t1=1, _t2=...) at /home/kde-branch/kde/build/digikam2/digikam/digikamview.moc:420
#15 0x0000000000693817 in Digikam::DigikamView::slotProgressMessageChanged (this=0xe7f920, descriptionOfAction=...) at /home/kde-branch/kde/src/digikam2/digikam/digikamview.cpp:1762
#16 0x000000000068ba08 in Digikam::DigikamView::qt_metacall (this=0xe7f920, _c=QMetaObject::InvokeMetaMethod, _id=103, _a=0x7fffa5fa63a0)
    at /home/kde-branch/kde/build/digikam2/digikam/digikamview.moc:370
#17 0x00007f8ea3d93a1f in QMetaObject::activate (sender=0xe15310, m=<value optimized out>, local_signal_index=<value optimized out>, argv=0x7fffa5fa63a0) at kernel/qobject.cpp:3295
#18 0x00000000006cd435 in Digikam::MetadataManager::progressMessageChanged (this=0xe15310, _t1=...) at /home/kde-branch/kde/build/digikam2/digikam/metadatamanager.moc:139
#19 0x00000000006cd0fa in Digikam::MetadataManager::qt_metacall (this=0xe15310, _c=QMetaObject::InvokeMetaMethod, _id=0, _a=0x7f8e84e7cbd0)
    at /home/kde-branch/kde/build/digikam2/digikam/metadatamanager.moc:110
#20 0x00007f8ea3d91509 in QObject::event (this=0xe15310, e=0x7f8e84d58070) at kernel/qobject.cpp:1248
#21 0x00007f8ea2cde4d4 in QApplicationPrivate::notify_helper (this=0xb63d80, receiver=0xe15310, e=0x7f8e84d58070) at kernel/qapplication.cpp:4302
#22 0x00007f8ea2ce6aca in QApplication::notify (this=<value optimized out>, receiver=0xe15310, e=0x7f8e84d58070) at kernel/qapplication.cpp:4185
#23 0x00007f8ea46a57b6 in KApplication::notify (this=0x7fffa5fa6f10, receiver=0xe15310, event=0x7f8e84d58070) at /usr/src/debug/kdelibs-4.5.2/kdeui/kernel/kapplication.cpp:310
#24 0x00007f8ea3d7fe4c in QCoreApplication::notifyInternal (this=0x7fffa5fa6f10, receiver=0xe15310, event=0x7f8e84d58070) at kernel/qcoreapplication.cpp:726
#25 0x00007f8ea3d835ba in sendEvent (receiver=0x0, event_type=0, data=0xb38980) at kernel/qcoreapplication.h:215
#26 QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, event_type=0, data=0xb38980) at kernel/qcoreapplication.cpp:1367
#27 0x00007f8ea3da8173 in sendPostedEvents (s=<value optimized out>) at kernel/qcoreapplication.h:220
#28 postEventSourceDispatch (s=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:276
#29 0x00007f8e9cbd6a93 in g_main_dispatch (context=0xb65ea0) at gmain.c:1960
#30 IA__g_main_context_dispatch (context=0xb65ea0) at gmain.c:2513
#31 0x00007f8e9cbd7270 in g_main_context_iterate (context=0xb65ea0, block=1, dispatch=1, self=<value optimized out>) at gmain.c:2591
#32 0x00007f8e9cbd7510 in IA__g_main_context_iteration (context=0xb65ea0, may_block=1) at gmain.c:2654
#33 0x00007f8ea3da867f in QEventDispatcherGlib::processEvents (this=0xb3e430, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:412
#34 0x00007f8ea2d7f14e in QGuiEventDispatcherGlib::processEvents (this=<value optimized out>, flags=<value optimized out>) at kernel/qguieventdispatcher_glib.cpp:204
#35 0x00007f8ea3d7f292 in QEventLoop::processEvents (this=<value optimized out>, flags=...) at kernel/qeventloop.cpp:149
#36 0x00007f8ea3d7f495 in QEventLoop::exec (this=0x7fffa5fa6d80, flags=...) at kernel/qeventloop.cpp:201
#37 0x00007f8ea3d8388b in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1003
#38 0x000000000076229e in main (argc=5, argv=0x7fffa5fa75e8) at /home/kde-branch/kde/src/digikam2/digikam/main.cpp:211

Reported using DrKonqi
Comment 1 caulier.gilles 2010-10-28 18:24:49 UTC
Crash appear in libface/libkface.

Which svn revision you use with these libraries ?

Code is not yet stabilized here. It's important to know this information.

Gilles Caulier
Comment 2 S. Burmeister 2010-10-28 18:28:59 UTC
libkface is Rev: 1190651
libface Rev: 260
Comment 3 Marcel Wiesweg 2010-10-28 18:35:09 UTC
When I wrote the mail "ready for testing" it was stable, really. ;-)

In the meantime, Alex has rewritten the recognition part, which did not work at all before. And it's crashing, obviously.
Comment 4 caulier.gilles 2010-11-24 09:13:21 UTC
digiKam 1.6.0 is out:

http://www.digikam.org/drupal/node/550

Please update and check if this entry still valid.

Thanks in advance

Gilles Caulier
Comment 5 Marcel Wiesweg 2011-01-18 15:07:10 UTC
Sven, same here: Still applicable?
Comment 6 caulier.gilles 2011-06-16 16:36:18 UTC
*** Bug 275827 has been marked as a duplicate of this bug. ***
Comment 7 Gareth 2011-06-16 17:03:09 UTC
My bug, I was able to reproduce 4-5 times (and each time the backtrace/bug reporter marked this as the probable match). 
I then moved ~/.kde/share/apps/libkface/database/libface-config.xml, and was unable to reproduce the bug from that point. File was 0 size
Comment 8 Marcel Wiesweg 2011-06-19 16:33:11 UTC
Git commit ec062a1c349b3ed0d8d308925dbe257960a8bdb6 by Marcel Wiesweg.
Committed on 19/06/2011 at 15:41.
Pushed by mwiesweg into branch 'master'.

Main part of recognition is currently disabled for stable release, also disable
updating part which obviously crashes as well sometimes.

CCBUG: 255520

M  +8    -0    utilities/facedetection/facepipeline.cpp     

http://commits.kde.org/digikam/ec062a1c349b3ed0d8d308925dbe257960a8bdb6
Comment 9 caulier.gilles 2011-07-02 10:02:01 UTC
digiKam 2.0.0 RC is out. Please check if crash is reproducible with this version.

Thanks in advance

Gilles Caulier
Comment 10 Marcel Wiesweg 2011-09-25 13:34:40 UTC
Eigenfaces recognition is disabled due to major issues. Hoping for Amey's HMM code.
Comment 11 caulier.gilles 2017-12-16 11:10:26 UTC
This crash is not reproducible use current 5.8.0 pre-release bundle available
here :

https://files.kde.org/digikam/

I close this file now. Re-open it if necessary.

Gilles Caulier